# Changelog

## dist-tags:
latest: 0.2.16-beta.5       
next: 0.2.16-beta.7
test: 0.2.16-beta.7

## 0.2.17 [2022.09.02]
- [feat] 新增员工选择器 YwEmpSelector
- [feat] 新增组织架构选择器 YwOrgSelector
- [feat] YwJsonForm、YwFilter 集成YwEmpSelector、YwOrgSelector

## 0.2.16 [2022.09.02]
- [feat] 新增级联组件，支持多选、指定数据禁用、指定叶子节点等
- [feat] 新增 YwTable 虚拟列表配置
- [feat] YwFilter 新增键盘触发查询配置
- [fix] YwJsonForm 修复时间选择器传参无效，预设最大选择天数、长期等配置项
- [fix] YwTable dataSource参数失效
- [style] YwTable 修复图文信息宽度失效的问题
## 0.2.15 [2022.08.18]

- [feat] 新增抽屉选择器，支持跨页选择、内容回显等
- [feat] 新增按钮基础组件，支持visible、disabled函数类型
- [feat] YwTableDialog 新增方法 onTableInit，返回table ref
- [feat] YwJsonForm 新增默认清空表单项配置
- [feat] YwJsonForm 新增ArrayItems组件，自增表单项
- [fix] YwTable 修复ConfirmModal 组件失败回调关闭弹窗的问题
- [feat] YwTable Status Component 新增dict属性,类型: {dictName: string; dictValue: number; extParams: {color:'string',[key string]:any}; subList?: any;};
- [feat] YwJsonForm Select Component 属性调整: 
    1.去掉enum属性，改为componentProps下的dataSource（兼容原来enum）
    2.去掉getDataSource方法，改为componentProps下的getDataSource
    3.新增componentProps下dict属性，字段枚举值

## 0.2.14 [2022.08.15]

- [feat] YwTable新增支持无分页配置 
- [feat] YwTable 商品信息 Tag标签新增visible, 类型 boolean | Function；商品图片支持自定义 renderImg?: () => JSX.Element; 商品标题、商品信息项支持tooltip, 去掉参数 linkUrl，增加标题点击事件onClick
- [feat] YwTable 操作列新增自定义按钮，字段children
- [Style] YwTable cell内图片无边框问题
- [Style] YwTab 未选中字段不加粗 
- [Style] YwTable 分组表单样式问题
- [Style] YwTable 商品标题改为默认色值#666，hover时显示效果#1890ff

## 0.2.13 [2022.08.15]

- [fix] YwJsonForm 配置项type默认改为'string'，原'void' 
- [fix] YwJsonForm 自增组件label修复

## 0.2.12 [2022.08.12]

- [feat] YwTable新增Cell组件，复制列渲染CopyCol，序列号渲染IndexCol
- [feat] YwTable新增属性，表头总数量展示，showTotal, 自定义文案renderTotal
- [feat] YwTable表头操作区按钮新增loading属性，支持自定义children
- [feat] YwTableDialog YwFromDialog 增加组件受控属性visible
- [fix] YwTable 状态Cell组件新增默认颜色
- [fix] YwTableDialog改为默认不开启批量操作，
- [fix] YwFormDialog修复提交按钮Loading的问题
## 0.2.7 [2022.08.08]

- [fix] 修复基础表格列样式顶部对齐的问题
- [fix] 修复YwFilter组件最大列默认值的问题
## 0.2.4 [2022.08.05]

- [fix] 修复基础表单预览态缺省符的问题
- [fix] 修复less变量引入在业务项目中报错的问题
- [fix] 修复部分ts类型定义的问题

## 0.2.3 [2022.08.03]

- [feat] 新增消息提示组件 https://unpkg.com/@ywfe/yw-design@latest/build/index.html?demo=YwNotice

## 0.2.0 [2022.08.03]

- [feat] 新增弹窗选择器 https://unpkg.com/@ywfe/yw-design@latest/build/index.html?demo=YwTableDialog
- [feat] 表格组件新增分组复合表格、操作区内置YwFromDialog、YwTableDialog组件，支持ref方式调用组件方法reload和refresh（一般不建议使用）。
- [feat] 筛选组件废弃onReset函数，重置刷新表格逻辑内置，支持筛选条件sessionStorage缓存，默认关闭，具体见demo。

```jsx
 import { YwTable, YwFilter, YwTab} from '@ywfe/yw-design';
 const { useCache } = YwFilter;
 //  默认值 type = 'sessionStorage' defaultValue = undefined
 const cache = useCache('testkey', {type:'sessionStorage',defaultValue: undefined}); 

<YwFilter cache={ cache } />

```

## 0.1.0 [2022.08.02]

- [feat] 标题组件 https://unpkg.com/@ywfe/yw-design@0.1.0/build/index.html?demo=YwTitle
- [feat] 表格组件 https://unpkg.com/@ywfe/yw-design@0.1.0/build/index.html?demo=YwTable
- [feat] 表单组件 https://unpkg.com/@ywfe/yw-design@0.1.0/build/index.html?demo=YwJsonForm
- [feat] Tab组件 https://unpkg.com/@ywfe/yw-design@0.1.0/build/index.html?demo=YwTab
- [feat] 表单弹窗组件 https://unpkg.com/@ywfe/yw-design@0.1.0/build/index.html?demo=YwFormDialog
- [feat] 筛选器组件 https://unpkg.com/@ywfe/yw-design@0.1.0/build/index.html?demo=YwFormDialog
- [feat] YwJsonForm增加组合输入框组件、图片上传组件、异步下拉组件、异步搜索下拉组件，支持Schema配置表单联动逻辑，具体见demo
- [feat] 增加构建文件目录版本号标识
- [feat] 增加本地umd构建
- [fix]  修复YwFilter的maxColumns和minColumns不生效的问题
- [fix]  修复YwTable分页器pageSize不生效的问题
